local version = "0.0.1"

creeper_prototype = {   
		name="creeper",
		modname="animal_creeper", 
	
		generic = {
					description="Creeper",
					base_health=5,
					kill_result=""
				},				
		movement =  { 
					min_accel=0.4,
					max_accel=0.6,
					max_speed=2,
					pattern="stop_and_go"
					},		
		harvest        = nil,
		catching       = nil,				  	
		random_drop    = nil,		
		auto_transform = nil,					
		graphics = {
					sprite_scale={x=4,y=4},
					sprite_div = {x=6,y=1},
					visible_height = 1.5,
					},		
		combat = {
					angryness=0.95,
					starts_attack=true,
					sun_sensitive=true,					
					melee = {						
						maxdamage=0,
						range=5, 
						speed=1, 
						},						
					distance 		= nil,				
					self_destruct = {
						damage=15,
						range=3,
						node_damage_range = 1.5,
						delay=5,
						},
					},
		
		spawning = {		
					rate=0.02,
					density=500,
					algorithm="at_night",
					height=2
					},
		}


--register with animals mod
print ("Adding animal "..creeper_prototype.name)
animals_add_animal(creeper_prototype)
print ("animal_creeper mod version " .. version .. " loaded")