local version = "0.0.2"

function vombie_drop()
	if math.random() < 0.05 then
		return "animalmaterials:bone 2"
	else
		return "animalmaterials:bone 1"
	end
end

vombie_prototype = {   
		name="vombie",
		modname="animal_vombie",
	
		generic = {
					description="Vombie",
					base_health=40,
					kill_result=vombie_drop
				},				
		movement =  { 
					min_accel=0.3,
					max_accel=0.7,
					max_speed=2,
					pattern="stop_and_go"
					},		
		harvest        = nil,
		catching       = nil,		  	
		random_drop    = nil,		
		auto_transform = nil,					
		graphics = {
					sprite_scale={x=4,y=4},
					sprite_div = {x=6,y=2},
					visible_height = 2.2,
					visible_width = 1,
					},		
		combat = {
					angryness=1,
					starts_attack=true,
					sun_sensitive=true,					
					melee = {
						maxdamage=4,
						range=2, 
						speed=1,
						},						
					distance 		= nil,		
					self_destruct 	= nil,
					},
		
		spawning = {		
					rate=0.5,
					density=20,
					algorithm="at_night",
					height=2
					},
		}


--register with animals mod
print ("Adding animal "..vombie_prototype.name)
animals_add_animal(vombie_prototype)
print ("animal_vombie mod version " .. version .. " loaded")